#
# spec file for package irssi (Version 0.8.11)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           irssi
Version:        0.8.11
Release:        19.2
#
License:        GPL v2 or later
Group:          Productivity/Networking/IRC
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel ncurses-devel openssl-devel
Requires:       perl = %perl_version
#
Url:            http://www.irssi.org
Source:         http://www.irssi.org/files/irssi-%{version}.tar.bz2
Patch:          irssi-0.8.10rc5-install_vendor.diff
Patch1:         irssi-0.8.11-avoid_version.patch
Patch2:         irssi-0.8.11_support-meta-cursor-xterm.patch
Patch3:         irssi-0.8.x_wallop_off_by_one.patch
#
Summary:        A Modular, Secure, and Well Designed IRC Client

%description
Irssi is a modular IRC client for UNIX that currently only has a text
mode user interface. However, 80-90% of the code is not text mode
specific, so other UIs could be created easily. Also, Irssi is not
really even IRC specific anymore. There are already working SILC and
ICB modules available. Support for other protocols, like ICQ and
Jabber, could be added some day, too.

It is the code that separates Irssi from ircII, BitchX, epic, and the
rest of the text clients. It is not using the ircII code.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%debug_package
%package devel
License:        GPL v2 or later
Group:          Development/Languages/C and C++
Requires:       %{name}
#
Summary:        Development package for irssi

%description devel
This package contains the development files for irssi. It allows to
compile plugins for the irssi package.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%prep
%setup
%patch
%patch1
%patch2
%patch3

%build
# cp curses.m4 acinclude.m4
#touch irssi.cvs
#NOCONFIGURE=yes ./autogen.sh
%configure              \
		--with-plugins  \
		--enable-ipv6   \
		--with-bot      \
		--with-proxy    \
		--with-socks    \
		--with-glib2    \
		--enable-ssl    \
		--with-ncurses  \
		--with-terminfo \
		--with-perl=yes \
		--with-perl-lib=vendor
%{__make} all

%install
%makeinstall docdir=%{_docdir}/%{name}
%perl_process_packlist
%{__rm} %{buildroot}%{_libdir}/irssi/modules/libirc_proxy.{a,la}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/irssi.conf
%{_bindir}/botti
%{_bindir}/irssi
# modules
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%{_libdir}/irssi/modules/*.so*
# scripts & themes
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
#perl
%dir %perl_vendorarch/Irssi
%perl_vendorarch/Irssi.pm
%perl_vendorarch/Irssi/*
%perl_vendorarch/auto/Irssi
/var/adm/perl-modules/irssi
# docs
%dir %_defaultdocdir/irssi
%docdir %_defaultdocdir/irssi/
%doc %_defaultdocdir/irssi/*
%doc %_mandir/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/irssi/

%changelog
* Wed Jun 10 2009 - mrueckert@suse.de
- added irssi-0.8.x_wallop_off_by_one.patch:
  fix of by one in wallop handling (bnc#510837) CVE-2009-1959
* Mon Sep 10 2007 - mrueckert@suse.de
- replaced irssi-support-meta-cursor-xterm.patch
  with irssi-0.8.11_support-meta-cursor-xterm.patch: (#294166)
  the original patch from the bug broke the handling on other
  terminals. use the updated patch from svn.
* Thu Aug 23 2007 - mrueckert@suse.de
- added irssi-support-meta-cursor-xterm.patch: (#294166)
  fix meta-key in newer xterms. patch from upstream bug
  http://bugs.irssi.org/?do=details&task_id=496#comment737
- delete unneeded static lib and la file for libirc_proxy
- a little spec file cleanup
* Wed Aug 01 2007 - mrueckert@suse.de
- added irssi-0.8.11-avoid_version.patch:
  plugins dont need to be versioned
* Thu Apr 26 2007 - mrueckert@suse.de
- Update to 0.8.11:
  | + Add completion for /WINDOW GOTO
  | + New crapbuster-like "scrollback levelclear" command
  | + irssi now aborts a connection when, on an attempt to connect,
  |   the server returns code 432 (Erroneous Nickname), bug #425
  | + Allow identifiers in config file to start with a digit, bug
  |   #177.
  | + Modify Irssi::UI::Window::command to restore the original
  |   active window only if the command executed has not made
  |   another one active, bug #403.
  | + Make awaylog_file respect --home, bug #304
  | + Send /QUOTE immediately if server didn't send the 001 event
  |   yet
  | + If dcc_own_ip contains IPv4 address, listen only in IPv4
  | + Negative scroll_page_count scrolls screensize-n lines
  |   (Patch by Chris Moore)
  | + Sort nicks with custom prefix by the order defined in
  |   isupport in /NAMES
  | + New perl command send_raw_first, patch by ComradeP (Bug 413)
  | + Let the module loader also check for fe_common_$protocol
  |   files
  | + Don't wait for all /NAMES replies before syncing if we can't
  |   combine queries anyways (Patch by jilles)
  | + Renamed irc.efnet.net to irc.efnet.org
  | + /SCROLLBACK CLEAR accepts the same arguments as /CLEAR
  | + Check if binary exists and can be executed before /UPGRADE
  | + Change default value of override_coredump_limit to OFF
  | + UPTIME command by Lauri Nurmi with some modifications
  |   (Bug 458)
  | + Remove CR and LF from Perl commands, to make it harder to
  |   introduce a security bug
  | + Remove bookmark on a line when line is removed (instead of
  |   moving it)
  | + Don't fallback to generic word completer if the command
  |   specific completion list is not empty.
  | + Recognize cursor left and cursor right sequences sent by
  |   recent xterm
  | - Fix some UTF-8 issues, bugs #452 (Patch by Yi-Hsuan Hsin),
  |   #459, #460
  | - Fixed segfault on quit introduced in 0.8.10
  | - Fixed a bug where tab-completion didn't work with utf8/big5
  |   properly
  | - Ignore joins without a nick from broken servers
  | - Fix whois_hide_safe_channel_id: only look at the beginning of
  |   a channel name, not in the middle
  | - Don't assume that 7bit ascii strings are encoded in UTF-8,
  |   only validate the strings when they contain octest with
  |   highest bit set (patch by Mikko Rauhala)
  | - Make random really random when resolving
  | - Don't get confused by a join command with too many arguments,
  |   keys can't have spaces in them (Bug 437)
  | - Don't crash on /QUIT with scripts causing and catching
  |   signals on UNLOAD
  | - Fix %%k and %%K mappings in curses frontend
  | - Fix bold on monochrome terminals in terminfo frontend
  | - Fixed colors with TERM=xterm-{88,256}color in terminfo
  |   frontend
  | - Fix crash with one line high terminal in terminfo frontend
  | - Fix building with srcdir != builddir
  | - Don't get confused and keep saying "Netsplit over" on every
  |   join for user that only rejoined some channels
  | - Fix crash in /EXEC (Bug 439)
  | - Fix format string in printtext_dest call from Perl, patch by
  |   loafier
  | - Fix memory leaks in expandos_deinit by Nicolas Collignon (Bug
  |   419)
  | - Detect off_t size using AC_CHECK_SIZEOF because it works also
  |   when cross-compiling in autoconf-2.50 and higher
  | - Fix failed assertion when the config file is unreadable,
  |   patch by Daniel Koning (Bug 164)
  | - Removed automatic glib downloading and compiling.
  | - Fix /FORMAT -delete daychange so it doesn't print an empty
  |   line
  | - Forbid /WINDOW SHOW when the target window is sticky rather
  |   than when there is a window bound to the container of the
  |   target window.
  | - Improve interaction between autolog and non autolog logs
  | - Recognize local oper mode on ircnet (mode +O)
  | - Properly initialize reference count for a new setting (Bug
  |   #235)
- removed irssi-0.8.10-invalid_pointer_quit_crash.patch:
  included upstream
* Thu Mar 29 2007 - dmueller@suse.de
- update BuildRequires
* Thu Sep 28 2006 - mrueckert@suse.de
- added irssi-0.8.10-invalid_pointer_quit_crash.patch:
  Dont crash on /quit (#206451)
* Tue Jul 25 2006 - olh@suse.de
- remove unused subversion and lynx from buildrequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Dec 11 2005 - mrueckert@suse.de
- 0.8.10 is final!
  o Recode support
  o Isupport (005 numeric)
  o Passive DCC support.
  o Many memleak fixes.
  o Network specific ignoring.
  o Updated internal error handling.
  o Complete 64bit support.
  o Revised default aliases.
  o Updated paste detection and settings.
  o Tons of bugfixes.
* Wed Nov 30 2005 - mrueckert@suse.de
- Update to 0.8.10rc8
- disabled the irssi.conf patch
* Tue Nov 22 2005 - mrueckert@suse.de
- Update to 0.8.10rc7
* Sun Sep 25 2005 - mrueckert@suse.de
- Update to 0.8.10rc6
* Thu Sep 08 2005 - mrueckert@suse.de
- Update to r3986
* Tue Sep 06 2005 - mrueckert@suse.de
- Update to r3983
* Mon Aug 22 2005 - mrueckert@suse.de
- Update to r3942
* Thu Jun 02 2005 - mrueckert@suse.de
- update to version 0.8.10rc5 (r3756)
  o many memory leaks fixed
  o recode support
  | you can now specify incoming/outgoing charset per channel/query
  o many small bug fixes
* Fri Apr 01 2005 - mmj@suse.de
- #include "../config.h" instead of "config.h" (thanks for the
  help coolo)
* Wed Mar 17 2004 - mmj@suse.de
- Default the terminal type setting to UTF8.
* Thu Dec 11 2003 - mmj@suse.de
- Update to 0.8.9 including:
  o Fixes a remote crash with:
  | non-x86 hardware (one requiring memory alignmentation)
  | script using "gui print text" signal (with x86 hardware too)
  o SET auto_whowas OFF allows now disabling automatic /whowas
  o If pasted line starts with command char, treat it as command
  always
* Mon Nov 24 2003 - mmj@suse.de
- Update to 0.8.8 including:
  o Settings changes - we have now "time", "size" and "level"
  setting types.
  o Pasting detection. All keys except CR and LF are pasted as-is
  into prompt in pasting mode.
  o If pasting more lines than /SET paste_verify_line_count,
  irssi asks if you actually want to do that.
  o Support for sending SSL certificate to server
  o Other minor enhancements bugfixes
* Wed Oct 15 2003 - mmj@suse.de
- Use %%defattr
- Don't build as root
* Fri Sep 05 2003 - sf@suse.de
- remove '-g -W' from compile options
* Fri Sep 05 2003 - sf@suse.de
- patch for 64bit [Bug 24861]
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Aug 04 2003 - mmj@suse.de
- Patch to use install_vendor with perl
* Sun Jul 27 2003 - mmj@suse.de
- Add gnome-filesystem to nfb
* Mon Jul 14 2003 - mmj@suse.de
- Use vendor_install and friends
- Clean up the specfile a bit
* Tue May 13 2003 - mmj@suse.de
- Remove files that should not be packaged
* Mon May 12 2003 - mmj@suse.de
- Also package the manpage
* Mon Apr 07 2003 - mmj@suse.de
- head -1 have to be head -n 1 with the new coreutils.
* Mon Jan 13 2003 - mmj@suse.de
- Also package the Irssi.pm file
* Tue Nov 19 2002 - mmj@suse.de
- Update to 0.8.6 which includes tons of changes, biggest ones:
  + SSL support
  + DCC send queues
  + Better support for !channels
- Switch to glib2
* Mon Sep 23 2002 - mmj@suse.de
- Make perl_use_lib not be in BuildRoot:
* Tue Aug 13 2002 - mmj@suse.de
- Apply patch from mls for the Perl 5.8 threading enabled.
* Mon Jul 22 2002 - mmj@suse.de
- Initial package created, version 0.8.5
